#[derive(Debug)]
struct City {
	name:    String,
	no:      String,
	age:     u32,
}

impl City {
    fn new(name: &str, no: &str, age: u32) -> City {
        City {
            name: String::from(name),
            no: String::from(no),
            age
        }
    }
}

fn main() {
    let city = City::new("shanghai", "021", 10);

    println!("{:?}", city)
}
